# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           jcifs
Version:        1.2.24
Release:        1%{?dist}
Epoch:          0
Summary:        Common Internet File System Client in 100% Java
License:        LGPLv2+
Url:            http://jcifs.samba.org/
Source0:        http://jcifs.samba.org/src/jcifs-1.2.24.tgz
Group:          Development/Java
Requires:       servlet_2_4_api
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  servlet_2_4_api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Group:          Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}_%{version}
find . -name "*.jar" | xargs -t rm

%build
export CLASSPATH=$(build-classpath servlet_2_4_api)
export OPT_JAR_LIST=:
%ant jar javadoc
export CLASSPATH=$(build-classpath servlet_2_4_api):`pwd`/%{name}-%{version}.jar
(cd examples && %javac *.java)

%install
rm -rf %{buildroot}

# jar
mkdir -p %{buildroot}%{_javadir}
install -p -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# data
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -pr examples/*{.class,.java} %{buildroot}%{_datadir}/%{name}/examples

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.txt docs/*.{html,txt,gif}
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Fri Oct 03 2008 David Walluck <dwalluck@redhat.com> 1.2.24-1
- 1.2.24
- use servlet_2_4_api
- add %%{_javadocdir}/%%{name}
- also copy sources for demo

* Wed Sep 27 2006 Ralph Apel <r.apel@r-apel.de> 0:1.2.9-1jpp
- Upgrade to 1.2.9
- Add post/postun Requires for javadoc
- Add gcj_support option

* Fri Nov 19 2004 David Walluck <david@jpackage.org> 0:1.1.2-2jpp
- rebuild to fix packager

* Sat Nov 06 2004 David Walluck <david@jpackage.org> 0:1.1.2-1jpp
- 1.1.2

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.8.2-2jpp
- Rebuild with ant-1.6.2
* Fri Apr 16 2004 David Walluck <david@anti-microsoft.org> 0:0.8.2-1jpp
- 0.8.2

* Mon Jan 19 2004 David Walluck <david@anti-microsoft.org> 0:0.7.18-1jpp
- 0.7.18
- use %%javac macro

* Tue Oct 07 2003 David Walluck <david@anti-microsoft.org> 0:0.7.14-1jpp
- 0.7.14
- fix no-epoch-in-dependency for jcifs-demo

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.7.12-1jpp
- 0.7.12

* Sat Apr 26 2003 David Walluck <david@anti-microsoft.org> 0:0.7.3-2jpp
- fix date in %%changelog

* Fri Apr 25 2003 David Walluck <david@anti-microsoft.org> 0:0.7.3-1jpp
- release
